/*
	ProWesS, PROGS Windowing System

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 24 August 1995
*/

#include "ProWesS_h"

char info[]={"Just a program to demonstrate the possibilities\n"
			 "of navigation between edline objects. Some\n"
			 "extra control could make this into some kind\n"
			 "of spreadsheet. Press TAB or SHIFT TAB to move\n"
			 " to the next/previous item (right/left). The\n"
			 "UP and DOWN keys can be used to go to the\n"
			 "item above/below the current."};

void init()
{
	PWObject obj,inf;
	PWObject it11,it12,it13;
	PWObject it21,it22,it23;
	PWObject it31,it32,it33;

	PWCreate(NULL,&obj,PW_TYPE_OUTLINE,
				PW_OUTLINE_SLEEP,
				PW_OUTLINE_QUIT,
				NULL);
	PWCreate(obj,&inf,PW_TYPE_INFOSTRING,
				PW_INFOSTRING_TEXT, info,
				NULL);
	PWCreate(obj,&it11,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_BELOW, inf,
				NULL);
	PWCreate(obj,&it21,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_BELOW, it11,
				NULL);
	PWCreate(obj,&it31,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_BELOW, it21,
				NULL);
	PWCreate(obj,&it12,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_RIGHT_OF, it11,
				NULL);
	PWCreate(obj,&it22,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_RIGHT_OF, it21,
				NULL);
	PWCreate(obj,&it32,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_RIGHT_OF, it31,
				NULL);
	PWCreate(obj,&it13,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_RIGHT_OF, it12,
				NULL);
	PWCreate(obj,&it23,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_RIGHT_OF, it22,
				NULL);
	PWCreate(obj,&it33,PW_TYPE_DIRECT_EDLINE,
				PW_POSITION_RIGHT_OF, it32,
				NULL);
	PWChange(it11,PW_EDLINE_EDLINE_NEXT, it12,
				  PW_EDLINE_EDLINE_PREV, it33,
				  PW_EDLINE_EDLINE_UP,	 it31,
				  PW_EDLINE_EDLINE_DOWN, it21,
				  NULL);
	PWChange(it21,PW_EDLINE_EDLINE_NEXT, it22,
				  PW_EDLINE_EDLINE_PREV, it13,
				  PW_EDLINE_EDLINE_UP,	 it11,
				  PW_EDLINE_EDLINE_DOWN, it31,
				  NULL);
	PWChange(it31,PW_EDLINE_EDLINE_NEXT, it32,
				  PW_EDLINE_EDLINE_PREV, it23,
				  PW_EDLINE_EDLINE_UP,	 it21,
				  PW_EDLINE_EDLINE_DOWN, it11,
				  NULL);
	PWChange(it12,PW_EDLINE_EDLINE_NEXT, it13,
				  PW_EDLINE_EDLINE_PREV, it11,
				  PW_EDLINE_EDLINE_UP,	 it32,
				  PW_EDLINE_EDLINE_DOWN, it22,
				  NULL);
	PWChange(it22,PW_EDLINE_EDLINE_NEXT, it23,
				  PW_EDLINE_EDLINE_PREV, it21,
				  PW_EDLINE_EDLINE_UP,	 it12,
				  PW_EDLINE_EDLINE_DOWN, it32,
				  NULL);
	PWChange(it32,PW_EDLINE_EDLINE_NEXT, it33,
				  PW_EDLINE_EDLINE_PREV, it31,
				  PW_EDLINE_EDLINE_UP,	 it22,
				  PW_EDLINE_EDLINE_DOWN, it12,
				  NULL);
	PWChange(it13,PW_EDLINE_EDLINE_NEXT, it21,
				  PW_EDLINE_EDLINE_PREV, it12,
				  PW_EDLINE_EDLINE_UP,	 it33,
				  PW_EDLINE_EDLINE_DOWN, it23,
				  NULL);
	PWChange(it23,PW_EDLINE_EDLINE_NEXT, it31,
				  PW_EDLINE_EDLINE_PREV, it22,
				  PW_EDLINE_EDLINE_UP,	 it13,
				  PW_EDLINE_EDLINE_DOWN, it33,
				  NULL);
	PWChange(it33,PW_EDLINE_EDLINE_NEXT, it11,
				  PW_EDLINE_EDLINE_PREV, it32,
				  PW_EDLINE_EDLINE_UP,	 it23,
				  PW_EDLINE_EDLINE_DOWN, it13,
				  NULL);
	PWActivate(obj);
}
